OfonoSupplementaryServices Class Reference

This class is used to access oFono supplementary services API. More...

`#include <ofonosupplementaryservices.h>`

Inheritance diagram for OfonoSupplementaryServices:

## Public Slots

void | initiate (const QString &command)
void | respond (const QString &reply)
void | cancel ()

## Signals

void | notificationReceived (const QString &message)
void | requestReceived (const QString &message)
void | stateChanged (const QString &state)
void | initiateUSSDComplete (const QString &ussdResp)
void | barringComplete (const QString &ssOp, const QString &cbService, const QVariantMap &cbMap)
void | forwardingComplete (const QString &ssOp, const QString &cfService, const QVariantMap &cfMap)
void | waitingComplete (const QString &ssOp, const QVariantMap &cwMap)
void | callingLinePresentationComplete (const QString &ssOp, const QString &status)
void | connectedLinePresentationComplete (const QString &ssOp, const QString &status)
void | callingLineRestrictionComplete (const QString &ssOp, const QString &status)
void | connectedLineRestrictionComplete (const QString &ssOp, const QString &status)
void | initiateFailed ()
void | respondComplete (bool success, const QString &message)
void | cancelComplete (bool success)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoSupplementaryServices (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
QString | state () const
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Properties

QString | state
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if

## Detailed Description

This class is used to access oFono supplementary services API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/supplementaryservices-api.txt

The documentation for this class was generated from the following file:

- lib/ofonosupplementaryservices.h